KERNEL-WEDGE-PREPROCESS(1)

NAME
kernel-wedge-preprocess - process a module list file

SYNOPSIS
kernel-wedge preprocess module-list module-dir

DESCRIPTION
Preprocesses the module-list, performing list includes and module excludes, removing blank lines and comments, and expanding wildcards. Emits a list of filenames to stdout. Return 1 if a required module or directory is missing, unless $KW_CHECK_NONFATAL is non-empty. The supported wildcards are:
? | Match a single character within a path component
* | Match any number of characters within a path component
** | Match any number of characters including multiple path components
On Linux, '-' and '_' also match each other since the kernel and kmod treat them as equivalent in module names.

AUTHOR
Joey Hess, Ben Hutchings <ben@decadent.org.uk>